%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  Hmsc
%global packver   3.0-13
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          3.0.13
Release:          1%{?dist}%{?buildtag}
Summary:          Hierarchical Model of Species Communities

License:          GPL-3 | file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.0.2
Requires:         R-core >= 3.0.2
BuildArch:        noarch
BuildRequires:    R-CRAN-coda 
BuildRequires:    R-CRAN-abind 
BuildRequires:    R-CRAN-ape 
BuildRequires:    R-CRAN-BayesLogit 
BuildRequires:    R-CRAN-fields 
BuildRequires:    R-CRAN-FNN 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-CRAN-matrixStats 
BuildRequires:    R-CRAN-MCMCpack 
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-nnet 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-pracma 
BuildRequires:    R-CRAN-pROC 
BuildRequires:    R-CRAN-sp 
BuildRequires:    R-CRAN-statmod 
BuildRequires:    R-CRAN-truncnorm 
Requires:         R-CRAN-coda 
Requires:         R-CRAN-abind 
Requires:         R-CRAN-ape 
Requires:         R-CRAN-BayesLogit 
Requires:         R-CRAN-fields 
Requires:         R-CRAN-FNN 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-Matrix 
Requires:         R-CRAN-matrixStats 
Requires:         R-CRAN-MCMCpack 
Requires:         R-methods 
Requires:         R-CRAN-nnet 
Requires:         R-CRAN-rlang 
Requires:         R-parallel 
Requires:         R-CRAN-pracma 
Requires:         R-CRAN-pROC 
Requires:         R-CRAN-sp 
Requires:         R-CRAN-statmod 
Requires:         R-CRAN-truncnorm 

%description
Hierarchical Modelling of Species Communities (HMSC) is a model-based
approach for analyzing community ecological data. This package implements
it in the Bayesian framework with Gibbs Markov chain Monte Carlo (MCMC)
sampling (Tikhonov et al. (2020) <doi:10.1111/2041-210X.13345>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
